Share via


Reachability Analysis Runs - List

Gets list of Reachability Analysis Runs.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/verifierWorkspaces/{workspaceName}/reachabilityAnalysisRuns?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/networkManagers/{networkManagerName}/verifierWorkspaces/{workspaceName}/reachabilityAnalysisRuns?api-version=2025-05-01&skipToken={skipToken}&skip={skip}&top={top}&sortKey={sortKey}&sortValue={sortValue}

URI Parameters

Name In Required Type Description
networkManagerName
path True

string

pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$

The name of the network manager.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

pattern: ^[0-9a-zA-Z]([0-9a-zA-Z_.-]{0,62}[0-9a-zA-Z_])?$

The name of the resource

api-version
query True

string

minLength: 1

The API version to use for this operation.

skip
query

integer (int32)

Optional num entries to skip.

skipToken
query

string

Optional skip token.

sortKey
query

string

Optional key by which to sort.

sortValue
query

string

Optional sort value for pagination.

top
query

integer (int32)

Optional num entries to show.

Responses

Name Type Description
200 OK

ReachabilityAnalysisRunListResult

Azure operation completed successfully.

Other Status Codes

CommonErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ReachabilityAnalysisRunList

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/verifierWorkspaces/testVerifierWorkspace1/reachabilityAnalysisRuns?api-version=2025-05-01

Sample response

{
  "nextLink": "https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/verifierWorkspaces/testVerifierWorkspace1/reachabilityAnalysisRuns?api-version=2025-05-01&$skipToken=10",
  "value": [
    {
      "name": "testReachabilityAnalysisRun1",
      "type": "Microsoft.Network/networkManagers/verifierWorkspaces/reachabilityAnalysisRuns",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/verifierWorkspaces/testVerifierWorkspace1/reachabilityAnalysisRuns/testReachabilityAnalysisRun1",
      "properties": {
        "description": "A sample  reachability analysis intent",
        "intentContent": {
          "destinationResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/testVmDest",
          "ipTraffic": {
            "destinationIps": [
              "10.4.0.1"
            ],
            "destinationPorts": [
              "0"
            ],
            "protocols": [
              "Any"
            ],
            "sourceIps": [
              "10.4.0.0"
            ],
            "sourcePorts": [
              "0"
            ]
          },
          "sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/virtualMachines/testVmSrc"
        },
        "intentId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/networkManagers/testNetworkManager/verifierWorkspaces/testVerifierWorkspace1/reachabilityAnalysisIntents/testReachabilityAnalysisIntenant1",
        "provisioningState": "Succeeded"
      },
      "systemData": {
        "createdAt": "2021-01-11T18:52:27Z",
        "createdBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
        "createdByType": "User",
        "lastModifiedAt": "2021-01-11T18:52:27Z",
        "lastModifiedBy": "b69a9388-9488-4534-b470-7ec6d41beef5",
        "lastModifiedByType": "User"
      }
    }
  ]
}

Definitions

Name Description
CommonErrorAdditionalInfo

The resource management error additional info.

CommonErrorDetail

The error detail.

CommonErrorResponse

Error response

createdByType

The type of identity that created the resource.

IntentContent

Intent information.

IPTraffic

IP traffic information.

NetworkProtocol

Network Protocol.

ProvisioningState

Provisioning states of a resource.

ReachabilityAnalysisRun

Configuration information for analysis run.

ReachabilityAnalysisRunListResult

The response of a ReachabilityAnalysisRun list operation.

ReachabilityAnalysisRunProperties

Represents the Reachability Analysis Run properties.

systemData

Metadata pertaining to creation and last modification of the resource.

CommonErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

CommonErrorDetail

The error detail.

Name Type Description
additionalInfo

CommonErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

CommonErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

CommonErrorResponse

Error response

Name Type Description
error

CommonErrorDetail

The error object.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

IntentContent

Intent information.

Name Type Description
description

string

destinationResourceId

string (arm-id)

Destination resource id of the intent.

ipTraffic

IPTraffic

IP traffic information.

sourceResourceId

string (arm-id)

Source resource id of the intent.

IPTraffic

IP traffic information.

Name Type Description
destinationIps

string[]

List of destination IP addresses of the traffic..

destinationPorts

string[]

The destination ports of the traffic.

protocols

NetworkProtocol[]

Network Protocol.

sourceIps

string[]

List of source IP addresses of the traffic..

sourcePorts

string[]

The source ports of the traffic.

NetworkProtocol

Network Protocol.

Value Description
Any

Any

TCP

TCP

UDP

UDP

ICMP

ICMP

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

ReachabilityAnalysisRun

Configuration information for analysis run.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

ReachabilityAnalysisRunProperties

Represents the Reachability Analysis Run properties.

systemData

systemData

The system metadata related to this resource.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ReachabilityAnalysisRunListResult

The response of a ReachabilityAnalysisRun list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ReachabilityAnalysisRun[]

The ReachabilityAnalysisRun items on this page

ReachabilityAnalysisRunProperties

Represents the Reachability Analysis Run properties.

Name Type Description
analysisResult

string

description

string

errorMessage

string

intentContent

IntentContent

Intent information.

intentId

string

Id of the intent resource to run analysis on.

provisioningState

ProvisioningState

Provisioning states of a resource.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.